---
name: Pipeline issue report
about: Report a potential issue related to the pipeline editor or pipeline execution
title: ''
labels: component:pipeline-editor, component:pipeline-runtime, status:Needs Triage, kind:user-feedback
assignees: ''

---

**Describe the issue**
A clear and concise description of what the issue is.

**To Reproduce**
Steps to reproduce the behavior:
1. Go to '...'
2. Click on '....'
3. Scroll down to '....'
4. See error

**Screenshots or log output**
If applicable, add screenshots or log output to help explain your problem.
<details><summary>Log Output</summary>
<pre>
Paste the log output here.
</pre>
</details>

**Expected behavior**
A clear and concise description of what you expected to happen.

**Deployment information**
Describe what you've deployed and how:
 - Elyra version: [e.g. 1.5.3]
 - Operating system: [e.g. macos, linux]
 - Installation source: [e.g. PyPI, conda, from source, official container image, custom container image]
 - Deployment type: [e.g. local installation, Docker, Kubernetes, Kubeflow [notebook server] , Open Data Hub]

**Pipeline runtime environment**
If the issue is related to pipeline execution, identify the environment where the pipeline is executed
 - Local execution
 - Kubeflow Pipelines (provide version number, whether multi-user auth enabled)
 - Apache Airflow (provide version number)
 
**Runtime configuration settings**
If the issue is related to pipeline execution, document the runtime configuration settings from the Elyra UI, omitting confidential information. 
